﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmAdicionarVacaLactacao : Form
    {
        private dsTernakan.GADORow gadoSelecionado;
        public frmAdicionarVacaLactacao()
        {
            InitializeComponent();
        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void btAdicionarVacaLactacao_Click(object sender, EventArgs e)
        {
            if (cbNomegadoLactacao.Text == "" || cbNumeroGadoLactacao.Text == "")
                MessageBox.Show("Favor preencher todos os dados");
            else
            {
                gadoSelecionado.LACTACAO = true;

                dsTernakan.LACTACAO.AddLACTACAORow(gadoSelecionado, 0, 0, 0, 0, 0, 0, 0);
                Close();
            }
        }

        private void btSairAdicionarVacaLactacao_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void txtNomeVacaLactacao_TextChanged(object sender, EventArgs e)
        {

        }

        private void cbNumeroGadoLactacao_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                gadoSelecionado = (from g in dsTernakan.GADO where g.NUMERO == cbNumeroGadoLactacao.Text select g).First();
                cbNomegadoLactacao.Text = gadoSelecionado.NOME;
            }
            catch (Exception)
            {
                MessageBox.Show("nenhum campo selecionado");
            }
        }

        private void frmAdicionarVacaLactacao_Shown(object sender, EventArgs e)
        {
            dsTernakan.ReadXml(frmHome.caminhoXML);
            DataView dv;
            var query = from q in dsTernakan.GADO where q.SEXO == "F" select q;
            dv = query.AsDataView();
            gADOBindingSource.DataSource = dv;
            gADOBindingSource1.DataSource = dv;
            cbNumeroGadoLactacao_SelectedIndexChanged(sender, e);
        }


        private void frmAdicionarVacaLactacao_FormClosing(object sender, FormClosingEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);

            dsTernakan.Dispose();
        }
    }
}
