﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmBusca : Form
    {
        public frmBusca()
        {
            InitializeComponent();
        }

        private void checkedListBox1_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void frmBusca_Load(object sender, EventArgs e)
        {

        }

        private void btVoltarBusca_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btBuscar_Click(object sender, EventArgs e)
        {
             if (txtBusca.Text == "")
            {
                MessageBox.Show("Favor inserir um valor a ser buscado");
            }
            else //digitar códigos de busca
            {
              
                DataView dv;
             
                    if (rbBuscaMacho.Checked == true)
                    {
                       var query = from q in dsTernakan.GADO where
                                       ((q.SEXO == "M") &&
                          ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")))
                                   select q;
                        dv = query.AsDataView();
                    }
                    else if (rbBuscaFemea.Checked == true)
                    {
                        var query = from q in dsTernakan.GADO
                                    where ((q.SEXO == "F") &&
                                        ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")))
                                    select q;
                        dv = query.AsDataView();
                    }
                    else if (rbFiltroNome.Checked)
                    {
                        var query = from q in dsTernakan.GADO
                                    where ((q.NOME == txtBusca.Text) &&
                                        ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")))
                                    select q;
                        dv = query.AsDataView();
                    }
                    else if (rbFiltroNumero.Checked)
                    {
                        var query = from q in dsTernakan.GADO
                                    where ((q.NUMERO == txtBusca.Text) &&
                                        ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")))
                                    select q;
                        dv = query.AsDataView();
                    }
                    else if (rbFiltroRaca.Checked)
                    {

                        var query = from q in dsTernakan.GADO
                                    where ((q.RACA == txtBusca.Text) &&
                                        ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")))
                                    select q;
                        dv = query.AsDataView();
                    }
                    else
                    {
                        var query = from q in dsTernakan.GADO where
                          ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")) select q;
                        dv = query.AsDataView();
                    }

                
                
                    frmResultadoBusca frm = new frmResultadoBusca();

                    frm.carregarDg(dv);
                    frm.ShowDialog();
                    Close();
               
            }
        }

        private void frmBusca_SizeChanged(object sender, EventArgs e)
        {

        }

        private void frmBusca_Shown(object sender, EventArgs e)
        {
            dsTernakan.ReadXml(frmHome.caminhoXML);
        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void frmBusca_FormClosed(object sender, FormClosedEventArgs e)
        {
            dsTernakan.Dispose();
        }
    }
}
