﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Ternakan
{
    public partial class frmGadoCadastro : Form
    {
        private dsTernakan.PIQUETRow piquetSelecionado = null;
        private dsTernakan.GADORow gado;
        private  bool ehAlteracao = false;
        public frmGadoCadastro()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
           
            if (cxGadoRegistrado.Checked == true && txtNumeroRegistro.Text == "")
                MessageBox.Show("Favor preencher o numero do registro ou desmarcá-lo");
            else if (rbSexoFemea.Checked == false && rbSexoMasculino.Checked == false)
                MessageBox.Show("Favor preencher o sexo do animal");
            else if (txtNumeroGado.Text == "")
                MessageBox.Show("Favor informar o número do animal");
            else if (txtNomeGado.Text == "")
                MessageBox.Show("Favor informar o nome do animal");
            else if (rbCompra.Checked == true && (txtPrecoCompraGado.Text == "" || txtNomeVendedor.Text == ""))
                MessageBox.Show("Favor colocar o preço e/ou Nome do Vendedor");
            else if (txtPrecoCompraGado.Text != "" && rbCompra.Checked == false)
                MessageBox.Show("Favor marcar a entrada como compra");
            else if (rbCompra.Checked == false && rbJaPossui.Checked == false && rbNascido.Checked == false && rbTroca.Checked == false)
                MessageBox.Show("Favor marcar o tipo de entrada");
            else if ((rbCompra.Checked == true || rbTroca.Checked == true) && (txtDataEntradaGado.Text == "  /  /"))
                MessageBox.Show("Preencher a data que esse gado foi comprado ou trocado");
            else
            {
                byte[] foto1;
                byte[] foto2;
                string sexo;
                if(rbSexoMasculino.Checked == true)
                {
                    sexo = "M";
                }
                else
                {
                    sexo = "F";
                }
                string tipo;
                if(rbCompra.Checked == true)
                {
                    tipo = "Compra";
                }
                else if(rbJaPossui.Checked == true)
                {
                    tipo = "Ja possui";
                }
                else if(rbNascido.Checked == true)
                {
                    tipo = "Nascido";
                }
                else
                {
                    tipo = "Troca";
                }
                DateTime dtentrada;
                if (txtDataEntradaGado.Text == "  /  /")
                    dtentrada = DateTime.Today;
                else
                    dtentrada = Convert.ToDateTime(txtDataEntradaGado.Text);

                DateTime dtNasc;
                if (txtDataNascimentoGado.Text == "  /  /")
                    dtNasc = DateTime.Today;
                else
                    dtNasc = Convert.ToDateTime(txtDataNascimentoGado.Text);

                double preco;
                if (txtPrecoCompraGado.Text == "")
                    preco = 0;
                else
                    preco = Convert.ToDouble(txtPrecoCompraGado.Text);


               // try
                //{
                if (pctGado1.Image != null)
                    foto1 = imageToByteArray(pctGado1.ImageLocation);
                else
                    foto1 = null;

                if (pctGado2.Image != null)
                    foto2 = imageToByteArray(pctGado2.ImageLocation);
                else
                    foto2 = null;
                string mensagem = "Gado cadastrado com sucesso";
                try{

                    try
                    {

                        piquetSelecionado = (from g in dsTernakan.PIQUET
                                             where g.ID == Convert.ToInt32(cbPiquet.SelectedValue)
                                             select g).First();
                    }
                    catch (Exception ee)
                    {
                        MessageBox.Show("Erro:\n" + ee.Message);
                    }

                    if (!ehAlteracao)
                    {
                        dsTernakan.GADO.AddGADORow(txtNomeGado.Text, txtNumeroGado.Text, dtNasc, sexo,
                            txtNomePai.Text, txtNomeMae.Text, txtRacaGado.Text, false,
                            txtNumeroFilhosGado.Text, txtQuantidadeDonodGado.Text,
                            txtNumeroRegistro.Text, foto1, foto2, piquetSelecionado,
                            txtLactacaoGado.Text, txtPelagemGado.Text, tipo, preco, dtentrada,
                            txtNomeVendedor.Text);
                    }
                    else
                    {
                      
                        gado.NOME = txtNomeGado.Text;
                        gado.DATA_NASCIMENTO_GADO = dtNasc;
                        gado.SEXO = sexo;
                        gado.PAI = txtNomePai.Text;
                        gado.MAE = txtNomeMae.Text;
                        gado.RACA = txtRacaGado.Text;
                        gado.NUMERO_FILHOS = txtNumeroFilhosGado.Text;
                        gado.NUMERO_DONOS = txtQuantidadeDonodGado.Text;
                        gado.FOTO1 = foto1;
                        gado.FOTO2 = foto2;
                        gado.PIQUETRow = piquetSelecionado;
                        gado.VENDEDOR = txtNomeVendedor.Text;
                        gado.LACTACAO_MEDIA = txtLactacaoGado.Text;
                        gado.PELAGEM = txtPelagemGado.Text;
                        mensagem = "Gado alterado com sucesso";
                      
                        

                    }
                }
                catch(Exception ee)
                {
                    MessageBox.Show("Erro ao armazenar no banco de dados\n"+ ee.Message);
                }
                MessageBox.Show(mensagem);
                Close();
            }
        }

        public byte[] imageToByteArray(System.Drawing.Image imageIn)
        {
            MemoryStream ms = new MemoryStream();
            imageIn.Save(ms, System.Drawing.Imaging.ImageFormat.Gif);
            return ms.ToArray();
        }

        public byte[] imageToByteArray(string fileName)
        {
             FileStream fs = new FileStream(fileName, FileMode.Open, FileAccess.Read);

               BinaryReader br = new BinaryReader(fs);

               return (br.ReadBytes(Convert.ToInt32(br.BaseStream.Length)));
        }

        private void btVoltarGadocadastro_Click(object sender, EventArgs e)
        {
            Close();
        }

        private Image bytetoImage(byte[] bytes)
        {
          MemoryStream ms = new MemoryStream(bytes, 0, bytes.Length);
           
                ms.Write(bytes, 0, bytes.Length);

                return  Image.FromStream(ms, true);

        

        }

        public void ehUpdate(string ID)
        {
            ehAlteracao = true;
            //carrega XML
            dsTernakan.Clear();
            dsTernakan.ReadXml(frmHome.caminhoXML);
            try
            {
                //Acha o gado
                gado = (from g in dsTernakan.GADO
                        where g.ID == Convert.ToInt32(ID)
                        select g).First();

                //preenche os txts
                if (!gado.IsNOMENull())
                    txtNomeGado.Text = gado.NOME;
                if (!gado.IsDATA_NASCIMENTO_GADONull())
                    txtDataNascimentoGado.Text = gado.DATA_NASCIMENTO_GADO.ToString("dd/MM/yyyy");
                if (!gado.IsSEXONull())
                {
                    rbSexoMasculino.Checked = (gado.SEXO == "M");
                    rbSexoFemea.Checked = (gado.SEXO == "F");
                }
                if (!gado.IsPAINull())
                    txtNomePai.Text = gado.PAI;
                if (!gado.IsMAENull())
                    txtNomeMae.Text = gado.MAE;
                if (!gado.IsRACANull())
                    txtRacaGado.Text = gado.RACA;
                if (!gado.IsNUMERO_FILHOSNull())
                     txtNumeroFilhosGado.Text = gado.NUMERO_FILHOS;
                if (!gado.IsNUMERO_DONOSNull())
                     txtQuantidadeDonodGado.Text = gado.NUMERO_DONOS;
                if (!gado.IsID_PIQUETNull())
                {
                    cbPiquet.Text = gado.PIQUETRow.NUMERO + " - " + gado.PIQUETRow.NOME;
                    cbPiquet.SelectedValue = gado.PIQUETRow.ID;
                }
                if (!gado.IsLACTACAO_MEDIANull())
                    txtLactacaoGado.Text = gado.LACTACAO_MEDIA;
                if (!gado.IsPELAGEMNull())
                    txtPelagemGado.Text = gado.PELAGEM;
                if (!gado.IsNUMERO_REGISTRONull()) 
                    txtNumeroRegistro.Text = gado.NUMERO_REGISTRO;
                if (!gado.IsNUMERONull())
                    txtNumeroGado.Text = gado.NUMERO;

                if (gado.PRECO == 0 || gado.IsPRECONull())
                    txtPrecoCompraGado.Text = "";
                else
                    txtPrecoCompraGado.Text = gado.PRECO.ToString();

                if (!gado.IsDATA_ENTRADANull())
                    txtDataEntradaGado.Text = gado.DATA_ENTRADA.ToString("dd/MM/yyyy");
                if (!gado.IsTIPO_CADASTRONull())
                {
                    rbCompra.Checked = (gado.TIPO_CADASTRO == "Compra");
                    rbJaPossui.Checked = (gado.TIPO_CADASTRO == "Ja possui");
                    rbNascido.Checked = (gado.TIPO_CADASTRO == "Nascido");
                    rbTroca.Checked = (gado.TIPO_CADASTRO == "Troca");
                }
                if (!gado.IsVENDEDORNull())
                    txtNomeVendedor.Text = gado.VENDEDOR;
                if (!gado.IsFOTO1Null())
                    pctGado1.Image = bytetoImage(gado.FOTO1);
                if (!gado.IsFOTO2Null())
                    pctGado2.Image = bytetoImage(gado.FOTO2);
            
            }
            catch (Exception ee)
            {
                MessageBox.Show("Erro ao abrir modificação de gados\n"+ ee.Message);
                //
            }
            

       



        }

        private void frmGadoCadastro_Shown(object sender, EventArgs e)
        {
            if (!ehAlteracao)
            {
                dsTernakan.Clear();
                dsTernakan.ReadXml(frmHome.caminhoXML);
            }


            

            //tipo registro numero preco e dtentrada
           /* txtNumeroRegistro.Enabled = !ehAlteracao;
            txtNumeroGado.Enabled = !ehAlteracao;
            txtPrecoCompraGado.Enabled = !ehAlteracao;
            txtDataEntradaGado.Enabled = !ehAlteracao;
            groupBox5.Enabled = !ehAlteracao;*/
           // cbPiquet.Enabled = !ehAlteracao;

            //atualizando o cb
            Dictionary<int,string> dic = new Dictionary<int,string>();
            string s;
            var piquets = from p in dsTernakan.PIQUET
                          select p;

            foreach (dsTernakan.PIQUETRow item in piquets)
            {
                s = item.NUMERO + " - " + item.NOME;
                dic.Add(item.ID, s);
            }
            cbPiquet.DataSource = new BindingSource(dic, null);
            cbPiquet.DisplayMember = "Value";
            cbPiquet.ValueMember = "Key";
            cbPiquet.Refresh();
            txtNomeVendedor.Visible = rbCompra.Checked;
            lbVendedor.Visible = rbCompra.Checked;
            

 
        }
       
        private void pctGado1_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
            pctGado1.ImageLocation = openFileDialog1.FileName;
        }

        private void pctGado2_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
            pctGado2.ImageLocation = openFileDialog1.FileName;
        }

        private void frmGadoCadastro_FormClosed(object sender, FormClosedEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);
            dsTernakan.Dispose();
        }

        private void rbCompra_Click(object sender, EventArgs e)
        {
            txtNomeVendedor.Visible = rbCompra.Checked;
            lbVendedor.Visible = rbCompra.Checked;
        }
    }
}
