﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmIncluirCruzamento : Form
    {
        private dsTernakan.GADORow gadoSelecionado = null;
        private dsTernakan.GADORow femeaSelecionado = null;
        private bool depoisShow = false;
        public frmIncluirCruzamento()
        {
            InitializeComponent();
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if ((gadoSelecionado == null) && (femeaSelecionado == null))
                MessageBox.Show("Favor preencher todos os campos");
            else if (rbNaoInseminacao.Checked == false && rbSimInseminacao.Checked == false)
                MessageBox.Show("Favor informar se foi ou não inseminação");
            else
            {
                dsTernakan.CRUZAMENTO.AddCRUZAMENTORow(gadoSelecionado, Convert.ToDateTime(txtDataCruzamento.Text), femeaSelecionado, false);
                MessageBox.Show("Cruzamento adicionado com sucesso");
                Close();
            }
        }

        private void btSairIncluirCruzamento_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void label3_Click(object sender, EventArgs e)
        {

        }

     
        private void frmIncluirCruzamento_Shown(object sender, EventArgs e)
        {
            dsTernakan.ReadXml(frmHome.caminhoXML);
            depoisShow = true;

            DataView dv;
            var query = from q in dsTernakan.GADO
                        where ((q.SEXO == "F") && ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")))
                        select q;
            dv = query.AsDataView();
            gADOBindingSource.DataSource = dv;
            cbNumeroVacaCruzamento_SelectedValueChanged(sender, e);


            DataView dv2;
            var query2 = from q in dsTernakan.GADO
                         where ((q.SEXO == "M") && ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO")))
                         select q;

            dv2 = query2.AsDataView();
            gADOBindingSource1.DataSource = dv2;
            cbNomeReprodutor_SelectedValueChanged(sender, e);
        }

       

        private void frmIncluirCruzamento_FormClosed(object sender, FormClosedEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);
            dsTernakan.Dispose();
        }

        private void cbNumeroVacaCruzamento_SelectedValueChanged(object sender, EventArgs e)
        {
            if (depoisShow)
            {
                try
                {
                    femeaSelecionado = (from vacas in dsTernakan.GADO
                                        where vacas.ID == Convert.ToInt32(cbNumeroVacaCruzamento.SelectedValue)
                                        select vacas).First();

                    cbNomeVacaCruzamento.Text = femeaSelecionado.NOME;
                    cbRacaVacaCruzamento.Text = femeaSelecionado.RACA;


                }
                catch (Exception)
                {

                    //
                }
            }
        }

        private void cbNomeReprodutor_SelectedValueChanged(object sender, EventArgs e)
        {
            if (depoisShow)
            {
                try
                {
                    gadoSelecionado = (from vacas in dsTernakan.GADO
                                       where vacas.ID == Convert.ToInt32(cbNomeReprodutor.SelectedValue)
                                       select vacas).First();

                    cbRacaReprodutor.Text = gadoSelecionado.RACA;


                }
                catch (Exception)
                {

                    //
                }
            }
        }
    }
}
