﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmMortalidade : Form
    {
        private dsTernakan.GADORow gadoSelecionado;
        public frmMortalidade()
        {
            InitializeComponent();
        }

        private void maskedTextBox2_MaskInputRejected(object sender, MaskInputRejectedEventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (cbNomeGadoSaidaAnimais.Text == "")
                MessageBox.Show("Preencher nome do animal");
            else if (cbNumeroGadoMorto.Text == "")
                MessageBox.Show("Preencher numero do Animal");
            else if (txtCasoMorte.Text == "")
                MessageBox.Show("Preencher a causa da morte");
            else if (txtDataMorte.Text == "  /  /")
                MessageBox.Show("Preencher a data da morte do animal");
            else
            {
                try
                {
                    this.dsTernakan.MORTALIDADE.AddMORTALIDADERow(gadoSelecionado, Convert.ToDateTime(txtDataMorte.Text), txtCasoMorte.Text, rtObservacoesGadoMorto.Text);
                    gadoSelecionado.TIPO_CADASTRO += "MORTO";
                    gadoSelecionado.FOTO1 = null;
                    gadoSelecionado.FOTO2 = null;
                    MessageBox.Show("Adicionado com sucesso");
                    Close();
                }
                catch (Exception)
                {
                    MessageBox.Show("Favor preencher todos os campos corretamente");
                }
            }
        }

        private void btImprimirRelatorioMorte_Click(object sender, EventArgs e)
        {
            if (txtDataInicioRelatorioMorte.Text == "  /  /" || txtDataFimRelatorioMorte.Text == "  /  /")
                MessageBox.Show("Favor preencher todas as datas corretamente");
            else
            {
                VerRelatorio frm = new VerRelatorio();
                frm.carregarRelatorioMortalidade(
                    Convert.ToDateTime(txtDataInicioRelatorioMorte.Text), Convert.ToDateTime(txtDataFimRelatorioMorte.Text));
                frm.ShowDialog();

            }

        }

        private void btSairMortalidade_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void txt_TextChanged(object sender, EventArgs e)
        {

        }

        private void cbNumeroGadoMorto_SelectedValueChanged(object sender, EventArgs e)
        {
            try
            {
                gadoSelecionado = (from g in dsTernakan.GADO where g.ID == Convert.ToInt32(cbNumeroGadoMorto.SelectedValue) select g).First();
                cbNomeGadoSaidaAnimais.Text = gadoSelecionado.NOME;
            }
            catch (Exception)
            {
                MessageBox.Show("nenhum campo selecionado");
            }
        }

        private void frmMortalidade_Shown(object sender, EventArgs e)
        {
            dsTernakan.Clear();
            dsTernakan.ReadXml(frmHome.caminhoXML);
        }

        private void frmMortalidade_FormClosing(object sender, FormClosingEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);
            dsTernakan.Dispose();
        }

        private void frmMortalidade_Load(object sender, EventArgs e)
        {

        }
    }
}
