﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmPerfilGado : Form
    {
        public frmPerfilGado()
        {
            InitializeComponent();
        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }


        public void carregarDg(int id)
        {
            dsTernakan.Clear();
            dsTernakan.ReadXml(frmHome.caminhoXML);
            dsTernakan.GADORow query = (from q in dsTernakan.GADO
                         where q.ID == id
                         select q).First();



            if (!query.IsID_PIQUETNull())
            {
                if (!query.PIQUETRow.IsNUMERONull())
                    lbNumeroPiquet.Text = query.PIQUETRow.NUMERO;
                if (!query.PIQUETRow.IsNOMENull())
                    lbNomePiquet.Text = query.PIQUETRow.NOME;
            }
            gADOBindingSource.DataSource = query;
            
            
        }

        private void frmPerfilGado_Shown(object sender, EventArgs e)
        {
            btRemover.Visible = frmHome.admin;
        }

        private void btRemover_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show("Você tem certeza que deseja remover este gado?", "Confirmação", MessageBoxButtons.YesNo) == DialogResult.Yes)
            {
                try
                {
                    dsTernakan.GADORow gado = (from g in dsTernakan.GADO
                                              where g.ID == Convert.ToInt32(lblID.Text)
                                              select g).First();

                    dsTernakan.GADO.RemoveGADORow(gado);
                    dsTernakan.WriteXml(frmHome.caminhoXML);
                    MessageBox.Show("Gado removido com sucesso");
                    Close();
  

                }
                catch (Exception)
                {
                    
                    throw;
                }
            }
        }

        private void frmPerfilGado_FormClosing(object sender, FormClosingEventArgs e)
        {
            dsTernakan.Dispose();
        }

        private void btTabelaVacinacao_Click(object sender, EventArgs e)
        {
            frmTabelaVacina frm = new frmTabelaVacina();
            dsTernakan.GADORow gado = (from g in dsTernakan.GADO
                                              where g.NUMERO == lbNumeroGado.Text
                                              select g).First();
            frm.carregarDataGrid(dsTernakan,gado);
            frm.ShowDialog();
        }

        private void btImprimirPerfilGado_Click(object sender, EventArgs e)
        {
            VerRelatorio frm = new VerRelatorio();
            frm.carregarRelatorioPerfilGado(Convert.ToInt32(lblID.Text));
            frm.ShowDialog();
        }

        private void btAlterarPerfil_Click(object sender, EventArgs e)
        {
            frmGadoCadastro frm = new frmGadoCadastro();
            frm.ehUpdate(lblID.Text);
            frm.ShowDialog();
            Close();
        }
    }
}
