﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmProduto : Form
    {
        public frmProduto()
        {
            InitializeComponent();
        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void maskedTextBox1_MaskInputRejected(object sender, MaskInputRejectedEventArgs e)
        {

        }

        private void btAdicionarLista_Click(object sender, EventArgs e)
        {
            if (txtEmpresa.Text == "")
                MessageBox.Show("Preencha o nome da empresa");
            else if (txtNomeProduto.Text == "")
                MessageBox.Show("Preencha o nome do produto");
            else if (txtDataCompra.Text == "  /  /")
                MessageBox.Show("Preencha a data da compra");
            else if (txtNotaFiscal.Text == "")
                MessageBox.Show("Preencha o número da nota fiscal");
            else if (txtQuantidadeProduto.Text == "")
                MessageBox.Show("Preencha a quantidade de produtos comprados");
            else if (txtValorProdutoUnitario.Text == "")
                MessageBox.Show("Preencha valor unitário do produto");
            else
            {
                try
                {
                    this.dsTernakan.PRODUTO.AddPRODUTORow(txtEmpresa.Text, txtNotaFiscal.Text, Convert.ToDateTime(txtDataCompra.Text), Convert.ToInt32(txtQuantidadeProduto.Text), txtNomeProduto.Text, Convert.ToDouble(txtValorProdutoUnitario.Text), null);                    
                }
                catch (Exception)
                {
                    MessageBox.Show("Favor preencher todos os campos corretamente");
                }
                txtEmpresa.Clear();
                txtDataCompra.Clear();
                txtDataFinal.Clear();
                txtDataInicio.Clear();
                txtNomeProduto.Clear();
                txtNotaFiscal.Clear();
                txtQuantidadeProduto.Clear();
                txtValorProdutoUnitario.Clear();
                MessageBox.Show("Os itens foram adicionados");
            }
        }

        private void cxEscolherDetalheImpressao_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void btImprimirRelatorioProdutos_Click(object sender, EventArgs e)
        {
            if ((txtDataFinal.Text == "  /  /") || (txtDataInicio.Text == "  /  /"))
                MessageBox.Show("A data de início e/ou data final não estão preenchidas");
            else
            {
                VerRelatorio frm = new VerRelatorio();
                frm.carregarRelatorioProduto(Convert.ToDateTime(txtDataInicio.Text), Convert.ToDateTime(txtDataFinal.Text));
                frm.ShowDialog();
            }
                //código de busca no banco de dados.
             /*   var query = from prods in this.dsTernakan.PRODUTO where prods.QUANTIDADE > 5 select prods;

                dsTernakan dsRelatorio = new dsTernakan();

                foreach (dsTernakan.PRODUTORow item in query)
                {
                    dsRelatorio.PRODUTO.AddPRODUTORow(item);
                }*/
        }

        private void frmProduto_Load(object sender, EventArgs e)
        {
        }

        private void btVoltarProduto_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void frmProduto_Shown(object sender, EventArgs e)
        {
            
            dsTernakan.ReadXml(frmHome.caminhoXML);
        }

        private void frmProduto_FormClosing(object sender, FormClosingEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);
            dsTernakan.Dispose();
        }
    }
}
