﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmCadastroUsuarios : Form
    {
        public frmCadastroUsuarios()
        {
            InitializeComponent();
        }

        private void frmCadastroUsuarios_Load(object sender, EventArgs e)
        {

        }

        private void frmCadastroUsuarios_Shown(object sender, EventArgs e)
        {
            dsFazendasEUsuarios.Clear();
            dsFazendasEUsuarios.ReadXml(frmHome.caminhoXMLFazenda);
            if (frmHome.fazendaSelecionada == null)
                cbListaFazendasCadastradas.Enabled = true;
            else
            {
                cbListaFazendasCadastradas.Enabled = false;
                cbListaFazendasCadastradas.Text = frmHome.fazendaSelecionada.NOME_FAZENDA;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (frmHome.fazendaSelecionada == null)
            {
                frmHome.fazendaSelecionada = (from f in dsFazendasEUsuarios.FAZENDA
                                              where f.ID == Convert.ToInt32(cbListaFazendasCadastradas.SelectedValue)
                                              select f).First();
            }
            if (cbAdmin.Checked)
                dsFazendasEUsuarios.USUARIOS.AddUSUARIOSRow(frmHome.fazendaSelecionada, txtUsuario.Text, txtSenha.Text, 1);
            else
                dsFazendasEUsuarios.USUARIOS.AddUSUARIOSRow(frmHome.fazendaSelecionada, txtUsuario.Text, txtSenha.Text, 0);

            MessageBox.Show("Usuário Cadastrado com sucesso");
            Close();
          
        }

        private void frmCadastroUsuarios_FormClosed(object sender, FormClosedEventArgs e)
        {

            dsFazendasEUsuarios.WriteXml(frmHome.caminhoXMLFazenda);
            dsFazendasEUsuarios.Dispose();
        }
    }
}
