﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmDadosVacinas : Form
    {
        private dsTernakan.GADORow gadoSelecionado;
        LinkedList<int> list = new LinkedList<int>();
        public frmDadosVacinas()
        {
            InitializeComponent();
        }

        private void btConfirmaMedicamento_Click(object sender, EventArgs e)
        {
            if (txtDataMedicacao.Text == "  /  /")
                MessageBox.Show("Preencher a data da aplicação");
            else if (txtNomeMedicamento.Text == "")
                MessageBox.Show("Preencher Nome do medicamento");
            else
            {
                if (rbOutroMedicamentoSim.Checked == true)
                {
                    try
                    {
                        foreach (int num in list)
                        {
                            gadoSelecionado = (from g in dsTernakan.GADO where g.NUMERO == num.ToString() select g).First();
                            dsTernakan.VACINA.AddVACINARow(gadoSelecionado, txtNomeMedicamento.Text, Convert.ToDateTime(txtDataMedicacao.Text));
                        }
                    }
                    catch (Exception)
                    {
                        throw;
                    }
                    MessageBox.Show("Vacina cadastrada com sucesso");
                    txtNomeMedicamento.Text = "";
                    txtDataMedicacao.Text = "";
                    rbOutroMedicamentoNao.Checked = false;
                    rbOutroMedicamentoSim.Checked = false;
                }
                else
                {
                    try
                    {
                        foreach (int num in list)
                        {
                            gadoSelecionado = (from g in dsTernakan.GADO where g.NUMERO == num.ToString() select g).First();
                            dsTernakan.VACINA.AddVACINARow(gadoSelecionado, txtNomeMedicamento.Text, Convert.ToDateTime(txtDataMedicacao.Text));
                        }
                    }
                    catch (Exception)
                    {
                        throw;
                    }
                    MessageBox.Show("Vacina cadastrada com sucesso");
                    list.Clear();
                    Close();
                }
            }
        }

        private void btVoltardadosVacina_Click(object sender, EventArgs e)
        {
            Close();
        }
        public void gadosVacinados(LinkedList<int> link)
        {
            list = link;
            dsTernakan.ReadXml(frmHome.caminhoXML);
      
        }

        private void frmDadosVacinas_Load(object sender, EventArgs e)
        {

        }

        private void frmDadosVacinas_Shown(object sender, EventArgs e)
        {
           // dsTernakan.ReadXml(frmHome.caminhoXML);
            
            
        }

        private void frmDadosVacinas_FormClosing(object sender, FormClosingEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);
            dsTernakan.Dispose();
        }

        private void frmDadosVacinas_FormClosed(object sender, FormClosedEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);
            dsTernakan.Dispose();

        }
    }
}