﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace Ternakan
{
    public partial class frmPrevisaoNascimento : Form
    {
        public frmPrevisaoNascimento()
        {
            InitializeComponent();
        }

        private void btSairPrevisaoNascimento_Click(object sender, EventArgs e)
        {
            Close();
        }


        private void carregarDataGrid()
        {
            try
            {
                //Codigo para o relatorio
                Cursor.Current = Cursors.WaitCursor;
                dsTernakan dsTernakan = new dsTernakan();
                dsTernakan.ReadXml(frmHome.caminhoXML);

                var query = from p in dsTernakan.CRUZAMENTO
                            select p;
                //criar tabela dsVirtual e associar dinamicamente...
                dsVirtual dsVirt = new dsVirtual();
                DataTable t = dsVirt.Tables["CRUZAMENTO"];
                DataRow r;
                foreach (dsTernakan.CRUZAMENTORow item in query)
                {

                    r = t.NewRow();
                    
                     r["RACA_VACA"] = item.GADORowByCRUZAMENTO_GADO.RACA.ToString();
                    
                    r["NUMERO_VACA"] = item.GADORowByCRUZAMENTO_GADO.NUMERO;
                    r["NOME_VACA"] = item.GADORowByCRUZAMENTO_GADO.NOME;

                    r["RACA_BOI"] = item.GADORow.RACA.ToString();

                    r["NUMERO_BOI"] = item.GADORow.NUMERO;
                    r["NOME_BOI"] = item.GADORow.NOME;
                    r["ID"] = item.ID;
                    r["DATA_CRUZAMENTO"] = item.DATA_CRUZAMENTO;
                    r["DATA_PREVISTA"] = item.DATA_CRUZAMENTO.AddDays(270);
                    t.Rows.Add(r);

                    //ROTINA PARA ALERTA VIA EMAIL
                    if ((item.ENVIADO == false) && (item.DATA_CRUZAMENTO.AddDays(210) == DateTime.Today))
                    {
                        
                        frmHome.mandarEmail(String.Format("Olá,\n A vaca {0} - {1} irá parir em {2}.\nVeja mais detalhes através do sistema o ID do cruzamento é {3}",
                            item.GADORowByCRUZAMENTO_GADO.NOME,item.GADORowByCRUZAMENTO_GADO.NUMERO,
                            item.DATA_CRUZAMENTO.AddDays(270),item.ID));
                        item.ENVIADO = true;
                    }

                }

                cRUZAMENTOBindingSource.DataSource = dsVirt;
                dsTernakan.Dispose();
                dataGridView1.Refresh();


            }
            catch (Exception ee)
            {
                MessageBox.Show("Erro ao carregar a tabela\n" + ee.Message);
            }
            finally
            {
                Cursor.Current = Cursors.Default;
                
            }
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        public void carregarDataGrid(dsTernakan ds)
        {
       
        }

        private void frmPrevisaoNascimento_Shown(object sender, EventArgs e)
        {
            carregarDataGrid();
        }

        private void frmPrevisaoNascimento_FormClosed(object sender, FormClosedEventArgs e)
        {
            
        }
    }
}
