﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmResultadoBusca : Form
    {
        public frmResultadoBusca()
        {
            InitializeComponent();
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            if (dgResultadoBusca.SelectedRows.Count > 0)
            {
                int id = Convert.ToInt32(dgResultadoBusca.SelectedRows[0].Cells[4].Value);


                frmPerfilGado frm = new frmPerfilGado();
                frm.carregarDg(id);
                frm.ShowDialog();
            }

        }

        public void carregarDg(DataView dv)
        {
            gADOBindingSource.DataSource = dv;
            dgResultadoBusca.Refresh();
        }

        private void btSairResultadoBusca_Click(object sender, EventArgs e)
        {
            if (dgResultadoBusca.SelectedRows.Count > 0)
            {

                int id = Convert.ToInt32(dgResultadoBusca.SelectedRows[0].Cells[4].Value);

                frmPerfilGado frm = new frmPerfilGado();
                frm.carregarDg(id);
                frm.ShowDialog();
                Close();
            }
        }

        private void dgResultadoBusca_SelectionChanged(object sender, EventArgs e)
        {
            btSelecionar.Enabled = (dgResultadoBusca.SelectedRows.Count > 0);
            dgResultadoBusca.Refresh();
        }

        private void frmResultadoBusca_Shown(object sender, EventArgs e)
        {
            dsTernakan.ReadXml(frmHome.caminhoXML);
        }

        private void frmResultadoBusca_FormClosed(object sender, FormClosedEventArgs e)
        {
            dsTernakan.Dispose();
        }
    }
}
