﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmSaidaAnimais : Form
    {
        private dsTernakan.GADORow gadoSelecionado;
        public frmSaidaAnimais()
        {
            InitializeComponent();
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void frmSaidaAnimais_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if ((txtDataVenda.Text == "  /  /") || (cbNomeGadoSaidaAnimais.Text == "") || (cbNumeroGadoSaidaAnimais.Text == "") || ((rbTroca.Checked != true) && (rbVenda.Checked != true)) || ((rbVenda.Checked == true) && (txtPrecoVenda.Text == "")))
                MessageBox.Show("Preencher todos os dados corretamente");
            else
            {
                if (rbVenda.Checked == true)
                {
                    dsTernakan.SAIDA_ANIMAIS.AddSAIDA_ANIMAISRow(gadoSelecionado, Convert.ToDateTime(txtDataVenda.Text), "Venda", Convert.ToDouble(txtPrecoVenda.Text));
                    gadoSelecionado.TIPO_CADASTRO += "VENDIDO";
                }
                else if (rbTroca.Checked == true)
                {
                    dsTernakan.SAIDA_ANIMAIS.AddSAIDA_ANIMAISRow(gadoSelecionado, Convert.ToDateTime(txtDataVenda.Text), "Troca", 0);
                    gadoSelecionado.TIPO_CADASTRO += "TROCADO";
                }
                gadoSelecionado.FOTO1 = null;
                gadoSelecionado.FOTO2 = null;
                Close();

            }
        }

        private void btSairSaidaAnimais_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void txt_TextChanged(object sender, EventArgs e)
        {

        }

        private void cbNumeroGadoSaidaAnimais_SelectedValueChanged(object sender, EventArgs e)
        {
            try
            {
                gadoSelecionado = (from g in dsTernakan.GADO where g.NUMERO == cbNumeroGadoSaidaAnimais.Text select g).First();
                cbNomeGadoSaidaAnimais.Text = gadoSelecionado.NOME;
            }
            catch (Exception)
            {
             //
            }
        }

        private void frmSaidaAnimais_Shown(object sender, EventArgs e)
        {
            dsTernakan.Clear();
            dsTernakan.ReadXml(frmHome.caminhoXML);

            var query = from q in dsTernakan.GADO
                        where ((q.TIPO_CADASTRO != "MORTO") || (q.TIPO_CADASTRO != "VENDIDO") || (q.TIPO_CADASTRO != "TROCADO"))
                        select q;

            DataView dv = query.AsDataView();

            gADOBindingSource1.DataSource = dv;
        }

        private void frmSaidaAnimais_FormClosing(object sender, FormClosingEventArgs e)
        {
            dsTernakan.WriteXml(frmHome.caminhoXML);
            dsTernakan.Dispose();
        }

        private void cbNomeGadoSaidaAnimais_SelectedIndexChanged(object sender, EventArgs e)
        {

        }
    }
}
