﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Ternakan
{
    public partial class frmTabelaVacina : Form
    {
        public frmTabelaVacina()
        {
            InitializeComponent();
        }

        public void carregarDataGrid(dsTernakan ds, dsTernakan.GADORow gado)
        {
            try
            {
                //Codigo para o relatorio
                Cursor.Current = Cursors.WaitCursor;

                var query = from v in ds.VACINA
                            where v.GADORow == gado
                            select v;

                DataView dv = query.AsDataView();

                vACINABindingSource.DataSource = dv;
                dataGridView1.Refresh();

            }
            catch (Exception ee)
            {
                MessageBox.Show("Erro ao carregar o datagrid\n"+ee.Message);
            }
            finally
            {
                Cursor.Current = Cursors.Default;

            }
        }
    }
}
